## org.apache.catalina.authenticator
Class SavedRequest

    java.lang.Object
      org.apache.catalina.authenticator.SavedRequest

public final class SavedRequest
extends java.lang.Object

Object that saves the critical information from a request so that form-based authentication can reproduce it once the user has been authenticated.

IMPLEMENTATION NOTE - It is assumed that this object is accessed only from the context of a single thread, so no synchronization around internal collection classes is performed.

FIXME - Currently, this object has no mechanism to save or restore the data content of the request, although it does save request parameters so that a POST transaction can be faithfully duplicated.

Version:
  $Revision: 1.5 $ $Date: 2004/08/26 21:27:39 $
Author:
  Craig R. McClanahan

Constructor Summary
`SavedRequest()`

Method Summary
`void` `addCookie(javax.servlet.http.Cookie cookie)`
`void` `addHeader(java.lang.String name, java.lang.String value)`
`void` `addLocale(java.util.Locale locale)`
`void` `addParameter(java.lang.String name, java.lang.String[] values)`
`java.util.Iterator` `getCookies()`
`java.util.Iterator` `getHeaderNames()`
`java.util.Iterator` `getHeaderValues(java.lang.String name)`
`java.util.Iterator` `getLocales()`
`java.lang.String` `getMethod()`
`java.util.Iterator` `getParameterNames()`
`java.lang.String[]` `getParameterValues(java.lang.String name)`
`java.lang.String` `getQueryString()`
`java.lang.String` `getRequestURI()`
`void` `setMethod(java.lang.String method)`
`void` `setQueryString(java.lang.String queryString)`
`void` `setRequestURI(java.lang.String requestURI)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SavedRequest

    public SavedRequest()

Method Detail

### addCookie

    public void addCookie(javax.servlet.http.Cookie cookie)

### getCookies

    public java.util.Iterator getCookies()

### addHeader

    public void addHeader(java.lang.String name,
                          java.lang.String value)

### getHeaderNames

    public java.util.Iterator getHeaderNames()

### getHeaderValues

    public java.util.Iterator getHeaderValues(java.lang.String name)

### addLocale

    public void addLocale(java.util.Locale locale)

### getLocales

    public java.util.Iterator getLocales()

### getMethod

    public java.lang.String getMethod()

### setMethod

    public void setMethod(java.lang.String method)

### addParameter

    public void addParameter(java.lang.String name,
                             java.lang.String[] values)

### getParameterNames

    public java.util.Iterator getParameterNames()

### getParameterValues

    public java.lang.String[] getParameterValues(java.lang.String name)

### getQueryString

    public java.lang.String getQueryString()

### setQueryString

    public void setQueryString(java.lang.String queryString)

### getRequestURI

    public java.lang.String getRequestURI()

### setRequestURI

    public void setRequestURI(java.lang.String requestURI)

Copyright ? 2000-2002 Apache Software Foundation. All Rights Reserved.